# Deprecated API

## Contents

- Exceptions
- Fields
- Methods
- Constructors

Exceptions
org.firebirdsql.jdbc.FBMissingParameterException: Unused, will be removed in Jaybird 5

Fields
org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.EXTENSION_PARAMETERS: Will be removed in Jaybird 5 without formal replacement
org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.MAPPING_PATH
org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.NO_RESULT_SET_TRACKING
org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.OCTETS_AS_BYTES
org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.PARANOIA_MODE
org.firebirdsql.gds.ISCConstants.isc_dpb_mapping_path
org.firebirdsql.gds.ISCConstants.isc_dpb_no_result_set_tracking
org.firebirdsql.gds.ISCConstants.isc_dpb_octets_as_bytes
org.firebirdsql.gds.ISCConstants.isc_dpb_paranoia_mode
org.firebirdsql.gds.ISCConstants.isc_isc_sql_dialect_conflict_num
org.firebirdsql.gds.ISCConstants.SQL_DEC_FIXED
org.firebirdsql.jdbc.escape.FBSQLParseException.SQL_STATE_INVALID_ESCAPE_SEQ: Use `SQLStateConstants.SQL_STATE_INVALID_ESCAPE_SEQ`; will be removed in Jaybird 5.
org.firebirdsql.jdbc.parser.JaybirdSqlLexer.tokenNames: Use `JaybirdSqlLexer.VOCABULARY` instead.
org.firebirdsql.jdbc.parser.JaybirdSqlParser.tokenNames: Use `JaybirdSqlParser.VOCABULARY` instead.
org.firebirdsql.jdbc.parser.JaybirdStatementModel.EXECUTE_TYPE

Methods
org.firebirdsql.ds.FBAbstractCommonDataSource.getDatabase()
org.firebirdsql.ds.FBAbstractCommonDataSource.getUserName()
org.firebirdsql.ds.FBAbstractCommonDataSource.setDatabase​(String)
org.firebirdsql.ds.FBAbstractCommonDataSource.setUserName​(String)
org.firebirdsql.ds.FBSimpleDataSource.getDatabaseName(): use `FBSimpleDataSource.getDatabase()` instead for the sake of naming compatibility.
org.firebirdsql.ds.FBSimpleDataSource.getUser(): use `FBSimpleDataSource.getUserName()` instead for the sake of naming compatibility.
org.firebirdsql.ds.FBSimpleDataSource.setDatabaseName​(String): use `FBSimpleDataSource.setDatabase(String)` instead for the sake of naming compatibility.
org.firebirdsql.ds.FBSimpleDataSource.setUser​(String): use `FBSimpleDataSource.setUserName(String)` instead for the sake of naming compatibility.
org.firebirdsql.encodings.EncodingFactory.getCharacterSetSize​(int): Use the information provided by the `EncodingDefinition` returned by `EncodingFactory.getEncodingDefinitionByCharacterSetId(int)`
org.firebirdsql.encodings.EncodingFactory.getEncoding​(String): Use `EncodingFactory.getEncodingForCharsetAlias(String, Encoding)`
org.firebirdsql.encodings.EncodingFactory.getIscEncoding​(String): Use `EncodingFactory.getEncodingDefinitionByCharsetAlias(String)`
org.firebirdsql.encodings.EncodingFactory.getIscEncodingSize​(String): Use `EncodingFactory.getEncodingDefinitionByFirebirdName(String)` and `EncodingDefinition.getMaxBytesPerChar()`
org.firebirdsql.encodings.EncodingFactory.getJavaEncoding​(String)
org.firebirdsql.encodings.EncodingFactory.getJavaEncodingForAlias​(String): Use `EncodingFactory.getEncodingDefinitionByCharsetAlias(String)` and `EncodingDefinition.getJavaEncodingName()`
org.firebirdsql.gds.ng.AbstractFbStatement.getFieldDescriptor()
org.firebirdsql.gds.ng.AbstractFbStatement.setFieldDescriptor​(RowDescriptor): Use `AbstractFbStatement.setRowDescriptor(RowDescriptor)` instead; will be removed in Jaybird 5
org.firebirdsql.gds.ng.FbConnectionProperties.fromDpb​(DatabaseParameterBuffer): TODO: This method is only intended to simplify migration of the protocol implementation and needs to be removed.
org.firebirdsql.gds.ng.FbStatement.getFieldDescriptor(): Use `FbStatement.getRowDescriptor()` instead; will be removed in Jaybird 5
org.firebirdsql.gds.ParameterBufferHelper.DpbParameterType.parseDpbString​(Object): In general, `ParameterBufferHelper.DpbParameterType.parseDpbString(String)` should be used; this method is not planned for removal
org.firebirdsql.gds.ParameterBufferHelper.parseDpbString​(String, Object): In general, `ParameterBufferHelper.parseDpbString(String, String)` should be used; this method is not planned for removal
org.firebirdsql.jca.FBManagedConnectionFactory.getBlobBufferLength(): use `FBManagedConnectionFactory.getBlobBufferSize()`
org.firebirdsql.jca.FBManagedConnectionFactory.getLocalEncoding(): use `FBManagedConnectionFactory.getCharSet()` instead.
org.firebirdsql.jca.FBManagedConnectionFactory.getTransactionIsolation(): use `FBManagedConnectionFactory.getDefaultTransactionIsolation()`
org.firebirdsql.jca.FBManagedConnectionFactory.getTransactionIsolationName(): use `FBManagedConnectionFactory.getDefaultIsolation()`
org.firebirdsql.jca.FBManagedConnectionFactory.setBlobBufferLength​(int): use `FBManagedConnectionFactory.setBlobBufferSize(int)`
org.firebirdsql.jca.FBManagedConnectionFactory.setLocalEncoding​(String): use `FBManagedConnectionFactory.setCharSet(String)` instead.
org.firebirdsql.jca.FBManagedConnectionFactory.setTransactionIsolation​(Integer): use `FBManagedConnectionFactory.setDefaultTransactionIsolation(int)`
org.firebirdsql.jca.FBManagedConnectionFactory.setTransactionIsolationName​(String): use `FBManagedConnectionFactory.setDefaultIsolation(String)`
org.firebirdsql.jdbc.AbstractCallableStatement.getBigDecimal​(int, int)
org.firebirdsql.jdbc.AbstractPreparedStatement.setUnicodeStream​(int, InputStream, int)
org.firebirdsql.jdbc.AbstractResultSet.getBigDecimal​(int, int)
org.firebirdsql.jdbc.AbstractResultSet.getUnicodeStream​(int)
org.firebirdsql.jdbc.FBConnection.setTransactionParameters​(int, int[])
org.firebirdsql.jdbc.FBConnectionProperties.getDatabaseParameterBuffer(): TODO Usage of this method should be removed or revised as current use of default encoding is not correct.
org.firebirdsql.jdbc.FBDatabaseMetaData.hasNoWildcards​(String): Will be removed in Jaybird 5
org.firebirdsql.jdbc.FBDatabaseMetaData.stripEscape​(String): Will be removed in Jaybird 5
org.firebirdsql.jdbc.FBSQLException.getInternalException(): use `Throwable.getCause()` instead.
org.firebirdsql.jdbc.field.FBField.isType​(FieldDescriptor, int): This method will be removed in Jaybird 5, as a replacement use `JdbcTypeConverter.isJdbcType(FieldDescriptor, int)`
org.firebirdsql.jdbc.FirebirdConnection.setTransactionParameters​(int, int[]): use `FirebirdConnection.setTransactionParameters(int, TransactionParameterBuffer)` instead.
org.firebirdsql.jdbc.parser.JaybirdSqlLexer.getTokenNames()
org.firebirdsql.jdbc.parser.JaybirdSqlParser.getTokenNames()
org.firebirdsql.jdbc.parser.StatementParser.parseInsertStatement​(String): Use `StatementParser.parseStatement(String)` instead; will be removed in Jaybird 5
org.firebirdsql.jdbc.parser.StatementParserImpl.parseInsertStatement​(String)
org.firebirdsql.management.FBMaintenanceManager.listLimboTransactions()
org.firebirdsql.management.FBServiceManager.executeServicesOperation​(ServiceRequestBuffer): Use `FBServiceManager.executeServicesOperation(FbService, ServiceRequestBuffer)`.
org.firebirdsql.management.FBTraceManager.loadConfigurationFromFile​(String)
org.firebirdsql.management.MaintenanceManager.listLimboTransactions(): Use `MaintenanceManager.limboTransactionsAsList()` or `MaintenanceManager.getLimboTransactions()` instead; this method will be removed in Jaybird 5.
org.firebirdsql.management.TraceManager.loadConfigurationFromFile​(String): We suggest you use standard Java functionality instead (eg `new String(Files.readAllBytes(Paths.get(fileName)), Charset.defaultCharset())`. This method will be removed in Jaybird 5.

Constructors
org.firebirdsql.gds.impl.argument.StringArgument​(int, ArgumentType, String)
org.firebirdsql.jdbc.FBSQLException​(String, SQLException): In all most all cases use `FBSQLException(String, String)` in combination with `SQLException.setNextException(SQLException)`.